CocoaPods 报 CDN: trunk Repo update failed错误

最近使用CocoaPods时报错,上网查了一下,官网描述说1.8.0以上版本,会使用trunk作为默认source,之前版本使用的是master。

解决方法:
在Podfile文件中添加指定源:source 'https://github.com/CocoaPods/Specs.git' 

如果还不行,删除trunk

pod repo remove trunk

如果之前删除了master源,在pod install时,会一直卡在“ Cloning spec repo cocoapods from https://github.com/CocoaPods/Specs.git
这个时候可以使用手动添加master源

cd ~/.cocoapods/repos
git clone https://github.com/CocoaPods/Specs.git master

之后就是等了~~~

参考文章:
官方说明
RiberWang[!] CDN: trunk Repo update failed

推荐阅读更多精彩内容